Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::LabelSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::Label. More...

`#include <xfc/gtk/labelsignals.hh>`

Inheritance diagram for Xfc::Gtk::LabelSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_populate_popup (Menu &menu)
    Called just before the popup menu is displayed in response the a right-click on a selectable label.

## Protected Member Functions

Constructors

- LabelSignals (Label *label)
    Construct an empty LabelSignals object.
- virtual ~LabelSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::Label.

## Member Function Documentation

virtual void Xfc::Gtk::LabelSignals::on_populate_popup | ( | Menu & | menu | ) | `[virtual]`

Called just before the popup menu is displayed in response the a right-click on a selectable label.

Parameters:

  | menu | The popup menu.

The documentation for this class was generated from the following file:

- labelsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3